Bug 135660 - FILEOPEN DOCX OLE object distance from text not imported
Summary: FILEOPEN DOCX OLE object distance from text not imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2020-08-12 10:12 UTC by NISZ LibreOffice Team
Modified: 2020-09-14 14:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (19.66 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-12 10:12 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (136.74 KB, image/png)
2020-08-12 10:12 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-12 10:12:14 UTC
Created attachment 164192 [details]
Example file from Word

Attached file contains an OLE object with custom values set in Word for distance from text.
When opened in Writer these are all imported as 0 cm, making the text wrap much tighter than in Word, so changing layout.

Steps to reproduce:
    1. Open attached file in Writer
    2. On the OLE object select Properties -> Wrap

Actual results:
Spacing values are all 0

Expected results:
Spacing values should match the ones set in Word. 
(Left is the default 0.32 cm, so that may be different in XML from the manually set ones.)

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-08-12 10:12:34 UTC
Created attachment 164193 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Commit Notification 2020-09-11 08:19:53 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8ee88230c110ae90b439a52bc2906d6c5383967f

tdf#135660 DOCX import: fix OLE icon wrap distance

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.